DynamicJava Javadoc: Class BinaryExpression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class BinaryExpression

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.BinaryExpression

Direct Known Subclasses:
  AddExpression, AndExpression, AssignExpression, BitAndExpression, BitOrExpression, DivideExpression, EqualExpression, ExclusiveOrExpression, GreaterExpression, GreaterOrEqualExpression, LessExpression, LessOrEqualExpression, MultiplyExpression, NotEqualExpression, OrExpression, RemainderExpression, ShiftLeftExpression, ShiftRightExpression, SubtractExpression, UnsignedShiftRightExpression

public abstract class BinaryExpression
extends Expression

This class represents the binary expression nodes of the syntax tree

Field Summary
`static java.lang.String` | `LEFT_EXPRESSION` The leftExpression property name
`static java.lang.String` | `RIGHT_EXPRESSION` The rightExpression property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `BinaryExpression(Expression lexp, Expression rexp, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`Expression` | `getLeftExpression()` Returns the left hand side expression
`Expression` | `getRightExpression()` Returns the right hand side expression
`void` | `setLeftExpression(Expression exp)` Sets the left hand side expression
`void` | `setRightExpression(Expression exp)` Sets the right hand side expression

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT_EXPRESSION

    public static final java.lang.String LEFT_EXPRESSION

  The leftExpression property name

### RIGHT_EXPRESSION

    public static final java.lang.String RIGHT_EXPRESSION

  The rightExpression property name

Constructor Detail

### BinaryExpression

    protected BinaryExpression(Expression lexp,
                               Expression rexp,
                               java.lang.String fn,
                               int bl,
                               int bc,
                               int el,
                               int ec)

  Initializes the expression
  Parameters:
    `lexp` - the LHS expression
    `rexp` - the RHS expression
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if lexp is null or rexp is null

Method Detail

### getLeftExpression

    public Expression getLeftExpression()

  Returns the left hand side expression

### setLeftExpression

    public void setLeftExpression(Expression exp)

  Sets the left hand side expression
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null

### getRightExpression

    public Expression getRightExpression()

  Returns the right hand side expression

### setRightExpression

    public void setRightExpression(Expression exp)

  Sets the right hand side expression
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.